﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IEnumerableTest
{
   public  static  class EnumEx
    {
       public static IEnumerable<T> Concat<T>(this IEnumerable<T> source, IEnumerable<T> source2)
       {
           foreach (var r in source)
           {
               yield return r;
           }
           foreach (var r in source2)
           {
               yield return r;
           }
       }
       public static IEnumerable<T> Skip<T>(this IEnumerable<T> source, int count)
       {
           int t = 0;
           foreach (var r in source)
           {
               t++;
               if(t<count)
                   continue;
               yield return r;
           }
       }
    }
}
